<?php 
include("h3.php");
if(!isset($_POST['flagadd']))
{
	$flagadd=$_GET['flagadd'];
}else{
	$flagadd=0;
}

if(!isset($_POST['flag_delete']))
{
	$flag_delete=$_GET['flag_delete'];
}else{
	$flag_delete=0;
}


if(!isset($_POST['NewsID']))
{
	$NewsID=$_GET['NewsID'];
}else{
	$NewsID=$_POST['NewsID'];
}

//echo "$flagadd,$NewsID";
    date_default_timezone_set('Asia/Bangkok');
	$date = date("Y/m/d");
	$date2 = date("d/m/Y");
	$dateDB = date("d-m-Y");	
//------START--DEL
if($flag_delete){
	include('conn.php');

      $subfileNewsID=$_GET['subfileNewsID'];
	  echo "<CENTER>Deleted OK</CENTER>";
	// เพิ่มไฟล์เข้าไปในตาราง uploadfile
		$sql_del="DELETE FROM sub_news_file WHERE sub_id_file=$subfileNewsID";
	    $dbquery = mysqli_query($con, $sql_del);

}
//------END --- DEL

//--start---flag add
if($flagadd){
//$fileupload = $_REQUEST['fileupload']; //รับค่าไฟล์จากฟอร์ม	
//$fileupload = $_POST['fileupload']; //รับค่าไฟล์จากฟอร์ม	
	$file_title=$_POST['file_title'];

//ฟังก์ชั่นวันที่
        date_default_timezone_set('Asia/Bangkok');
	$date = date("Ymd");	
//ฟังก์ชั่นสุ่มตัวเลข
         $numrand = (mt_rand());
//เพิ่มไฟล์
$upload=$_FILES['fileupload'];
if($upload <> '') {   //not select file
//โฟลเดอร์ที่จะ upload file เข้าไป 
$rootDIR= $_SERVER['DOCUMENT_ROOT'];
$place2place="file_news";
//$path="testbank/";  

//เอาชื่อไฟล์เก่าออกให้เหลือแต่นามสกุล
 $type = strrchr($_FILES['fileupload']['name'],".");
	echo "<CENTER>ชื่อของไฟล์ คือ ".$upload['name']."<br>";

$text=$upload['name'];
$newname = $text;


//$text="file_";
//$date3 = date("Ymd-H-i-s");	
//$newname = $text.$date3.$type;

//ตั้งชื่อไฟล์ใหม่โดยเอาเวลาไว้หน้าชื่อไฟล์เดิม
//$newname = $upload['name'];

		if(move_uploaded_file($_FILES["fileupload"]["tmp_name"],"$rootDIR/$place2place/".$newname))
		{
			echo "Copy/Upload Complete";
		}
}
	// เพิ่มไฟล์เข้าไปในตาราง uploadfile
		$sql="INSERT INTO sub_news_file  (news_id,filename,title_file,download_count,file_type)  VALUES ('$NewsID','$newname','$file_title',0,'$type')";
		$dbquery = mysqli_query($con, $sql);

	
//	if($result){
	echo "UPLOAD  Complete<BR>";
}
?>
<?php
//--end  flag add
//echo "add=$flagadd,delete=$flag_delete<BR>";
include('connectsmss.php');  //ไฟล์เชื่อมต่อกับ database ที่เราได้สร้างไว้ก่อนหน้า

$sqlm="SELECT * FROM news_master WHERE news_id=$NewsID";
$result = mysqli_query($con, $sqlm); 
$row = mysqli_fetch_array($result);
		$NewsID=$row["news_id"];
		$Title=$row["title"];
		$detail=$row["detail"];
		$Auther=$row["auther"];
		$AC_Status=$row["active_status"];

		if($AC_Status) $showtext="Show";
		else $showtext="Hidden";
?>
<center>
<br>
<?php
if($emp_name<>""&&$error<>1){
?>
<H2>รายการไฟล์แนบของข่าว</H2>
<table width=90% class=Round4>
<tr bgcolor=#ccffff>
	<td align=center>ลำดับ</td><TD align=center>หัวข้อเรื่องของไฟล์</TD><TD align=center width=20%>filename</TD><TD align=center>Edit</TD>
</tr>

<?php
$sql2="SELECT * FROM sub_news_file WHERE news_id=$NewsID ORDER BY sub_id_file";
$result = mysqli_query($con, $sql2); 
$PATH="../file_news/";
$i=1;
while($row = mysqli_fetch_array($result)) { 	
		$subfileNewsID=$row["sub_id_file"];
		$fileNAME=$row["filename"];
		$fileTITLE=$row["title_file"];
?>
<tr>
	<td align=center><?php echo "$i";?></TD>
	<td>
	<?php 
	echo "$fileTITLE";
	?></TD>
	<td><?php echo "<a href=\"$PATH$fileNAME\">[$fileNAME]</a>";?></TD>
	<td align=center>
	<?php
	echo "<a href=\"pre_add_media2.php?flag_delete=1&flagadd=0&NewsID=$NewsID&subfileNewsID=$subfileNewsID\">del</a>";
	?>
	</TD>
</TR>
<?php
		$i++;
}

?>
</table>
<br>
<table width=90% class=Round3>
<tr><td align=center>
<CENTER><H2>เพิ่ม media  ใน POST  หัวข้อข่าวหลัก</H2></CENTER>
<table width=90% class=Round4>
<tr><td>หัวข้อข่าว</TD>
<td><?php  echo  "<strong>$Title</strong>";?>
</TD></TR>
<tr><td>รายละเอียด</TD>
<td>
<?php  
       echo  "$detail";
?>
</TD></TR>
</TABLE>
<br><HR width=60%>
<form action="pre_add_media2.php?flagadd=1&flag_delete=0" method="post" enctype="multipart/form-data" name="upfile" id="upfile">
<?php
  echo "<input type=\"hidden\" name=\"NewsID\" value=$NewsID>";
  ?>
  <table width="85%" class=Round3>
  <TR bgcolor=#00ccff>
  <TD align=RIGHT width=15%>คำอธิบาย file</TD>
  <TD><INPUT type="TEXT" size=55 name="file_title"></TD>
  </TR>
	<tr>
      <td height="40" colspan="2" align="center" bgcolor="#66ffff">Upload&nbsp; File</td>
    </tr>
    <tr>
      <td align="center" bgcolor="#cccccc">File Browser</td>
      <td bgcolor="#99ff66"><label>
        <input type="file" name="fileupload" id="fileupload"  required="required"/>
      </label></td>
    </tr>
    <tr>
      <td bgcolor="#EDEDED">&nbsp;</td>
      <td bgcolor="#EDEDED"><input type="submit" name="button" id="button" value="Upload file" /></td>
    </tr>

  </table>
</form>
<?php
		echo "<a href=\"list_post_news2.php\">Back to list Post</a>";
?>
</center>

</td></tr></table>
<BR>
<?php
}
else{
      echo  "<CENTER>คุณไม่ผ่านการ Login /คุณคือไม่ได้รับสิทธิ์ในการใช้งาน?...</CENTER>";
      echo  "<CENTER><a href=\"index.php\">กลับสู่หน้า Login  อีกครั้ง</a></CENTER>";
}
?>

</center>
<?php 
include("button.php");
?>